Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 177619 - Review Request: python-nltk-lite: Python libraries and programs for natural language processing
Summary: Review Request: python-nltk-lite: Python libraries and programs for natural l...
Keywords:
Status: CLOSED DUPLICATE of bug 213192
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roozbeh Pournader
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-01-12 13:03 UTC by Ignacio Vazquez-Abrams
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-31 23:29:17 UTC


Attachments (Terms of Use)

Description Ignacio Vazquez-Abrams 2006-01-12 13:03:37 UTC
Spec Name or Url: http://fedora.ivazquez.net/files/extras/python-nltk-lite.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/python-nltk-lite-0.6.1-1.src.rpm
Description: NLTK, the Natural Language Toolkit, is a suite of Python libraries and programs for symbolic and statistical natural language processing.

This package contains a cut-down version of the data which contains only redistributable corpora.

Comment 1 Roozbeh Pournader 2006-01-15 17:05:04 UTC
Not a full review yet, but random suggestions for the beginning:
- The license file looks to be a stripped version of GPL, which is illegal to
redistribute, as GPL only allows verbatim copies. I suggest contacting upstream.
- Source0 should use %{version} instead of a hardcoded 0.6.1
- Don't use 'cp -ap' as '-a' also implies '-p': use either '-rp' or '-a' based
on the situation
- Remove the requirement on python-devel. it's not required to build the package.
- I get a warning during build:
/usr/lib/python2.4/site-packages/nltk_lite/parse/chunk.py:1247: SyntaxWarning:
import * only allowed at module level
- You should perhaps use 'install -d' instead of 'mkdir -p'


Comment 2 Ignacio Vazquez-Abrams 2006-01-22 06:39:19 UTC
(In reply to comment #1)
> Not a full review yet, but random suggestions for the beginning:
> - The license file looks to be a stripped version of GPL, which is illegal to
> redistribute, as GPL only allows verbatim copies. I suggest contacting upstream.

I'm currently in contact with them.

> - I get a warning during build:
> /usr/lib/python2.4/site-packages/nltk_lite/parse/chunk.py:1247: SyntaxWarning:
> import * only allowed at module level

Bogus.

> - You should perhaps use 'install -d' instead of 'mkdir -p'

Not necessary.

Updated.

Comment 4 Ignacio Vazquez-Abrams 2006-04-27 07:32:00 UTC
Updated.

http://fedora.ivazquez.net/files/extras/python-nltk-lite-0.6.4-1.src.rpm

Comment 5 Roozbeh Pournader 2006-06-18 16:19:42 UTC
(In reply to comment #4)
> http://fedora.ivazquez.net/files/extras/python-nltk-lite-0.6.4-1.src.rpm

Problems:

* .pyo files are not %ghost-ed.

* rpmlint gives me the following errors:
E: python-nltk-lite non-executable-script
/usr/lib/python2.4/site-packages/nltk_lite/tokenize/porter.py 0644
E: python-nltk-lite wrong-script-interpreter
/usr/lib/python2.4/site-packages/nltk_lite/contrib/church.py "/usr/local/bin/python"
E: python-nltk-lite non-executable-script
/usr/lib/python2.4/site-packages/nltk_lite/contrib/church.py 0644


Comment 6 Michel Alexandre Salim 2006-10-31 15:59:44 UTC
I just realized there is already a nltk_lite package. Ignacio, would you like me
to hand over to you or can I take this package? I packaged nltk previously,
before it was superceded by nltk_lite.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=213192

Thanks,

- Michel

Comment 7 Paul Howarth 2006-10-31 16:24:43 UTC
(In reply to comment #6)
> I just realized there is already a nltk_lite package. Ignacio, would you like me
> to hand over to you or can I take this package? I packaged nltk previously,
> before it was superceded by nltk_lite.
> 
> https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=213192

Ignacio hasn't been heard from for several months - see fedora-extras-list for
August and September regarding what to do about his packages. I think that this
bug needs to be closed as a dead review (see
http://fedoraproject.org/wiki/Extras/Policy/StalledReviews) and you should
proceed with your own submission.

Comment 8 Michel Alexandre Salim 2006-10-31 23:29:17 UTC
Sounds reasonable. I'll ask Roozbeh if he'd be kind enough to review that.

Comment 9 Michel Alexandre Salim 2006-11-09 16:03:14 UTC

*** This bug has been marked as a duplicate of 213192 ***


Note You need to log in before you can comment on or make changes to this bug.